We read every piece of feedback, and take your input very seriously.
To see all available qualifiers, see our documentation.
1 parent f7bfec8 commit 183439eCopy full SHA for 183439e
2 files changed
.travis.yml
@@ -6,6 +6,10 @@ os:
6
- osx
7
sudo: false
8
cache: ccache
9
+matrix:
10
+ include:
11
+ - os: linux
12
+ env: LINTER_ONLY=true
13
before_install:
14
- export HOMEBREW_NO_AUTO_UPDATE=1 # work around https://github.com/travis-ci/travis-ci/issues/7456
15
- if [ $TRAVIS_OS_NAME = osx ]; then brew install ccache; fi
@@ -17,5 +21,4 @@ install:
17
21
- ./configure
18
22
- make -j2 V=
19
23
script:
20
- - make -j2 test-ci
- - make lint
24
+ - tools/run-ci.sh # do linter env variable detection
tools/run-ci.sh
@@ -0,0 +1,11 @@
1
+#!/bin/bash
2
+set -ev
3
+
4
+# always change the working directory to the project's root directory
5
+cd $(dirname $0)/..
+if [ "${LINTER_ONLY}" = "true" ]; then
+ make lint
+else
+ make -j2 test-ci
+fi
0 commit comments